JobsGet Job

Get Job

Read a specific Job detail identified by its unique ID.

curl -X GET "https://api.getkini.com/jobs/example_string" \
  -H "Content-Type: application/json" \
  -H "Company-Id: example_string" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "id": 123,
  "external_id": "example_string",
  "company": 3.14,
  "title": "example_string",
  "description": "example_string",
  "posting_url": "example_string",
  "application_url": "example_string",
  "status": "active",
  "remote": "remote",
  "language": "example_string",
  "category": "accounting_finance",
  "employment_type": "contract",
  "work_schedule": "full_time",
  "senority": "unexperienced",
  "start_date": "example_string",
  "contract_limitation": "example_string",
  "location_name": "John Doe",
  "street": "example_string",
  "city": "New York",
  "country": "USA",
  "postcode": "example_string",
  "longitude": 3.14,
  "latitude": 3.14,
  "salary": "example_string",
  "salary_from": 3.14,
  "salary_to": 3.14,
  "salary_currency": "example_string",
  "salary_frequency": "example_string",
  "contact_name": "John Doe",
  "contact_email": "user@example.com",
  "contact_title": "example_string",
  "contact_phone": "+1-555-0123",
  "banner_image": "example_string",
  "screening_questions": [
    {
      "id": "example_string",
      "question": "example_string",
      "answer_type": "boolean",
      "required": true,
      "options": [
        {
          "label": "example_string",
          "value": "example_string"
        }
      ]
    }
  ],
  "description_sections": [
    {
      "id": "example_string",
      "type": "introduction",
      "order": 42,
      "title": "example_string",
      "content": "example_string"
    }
  ],
  "custom_fields": {
    "employer_name": "Acme Inc.",
    "employer_logo": "https://example.com/logo.png"
  },
  "created_at": "2024-12-25T10:00:00Z",
  "updated_at": "2024-12-25T10:00:00Z",
  "last_content_update_at": "2024-12-25T10:00:00Z"
}
GET
/jobs/{id}
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Bearer API Key Authentication. Include your API key in the Authorization header.

Bearer API Key Authentication. Include your API key in the Authorization header.
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Bearer API Key Authentication. Include your API key in the Authorization header.

Path Parameters

idstring
Required

ID of the Job

Headers

Company-Idstring
Required

ID of the Company

Responses

idinteger
Required

Kini ID of the job

external_idstring

Job's ID in external ATS systems, used for integrations

companynumber

Kini ID of the company offering the job

titlestring

Title of the job

descriptionstring

Detailed description of the job's responsibilities and requirements

posting_urlstring

URL of the job posted on the company's career page

application_urlstring

URL through which applicants can apply on the company's career page

statusstring

Posting status of the job (active, deleted, archived)

Allowed values:activedeletedarchived
remotestring

Work mode of the job (remote, hybrid, on-site)

Allowed values:remotehybridon-site
languagestring

Language of the job posting

categorystring

Category of the job, e.g. 'sales'

Allowed values:accounting_financeadministrationarchitecture_constructionarts_media_entertainmentbusiness_developmentcleaning_facilitiesconsultingcustomer_service_supportdata_analyticsdesigneducation_trainingengineeringentertainment_travelevent_managementfinancehealthcarehospitality_tourismhr_recruitmentinstallation_maintenance_repairit_supportlegallogistics_supply_chainmanagement_executivemarketingnon_profitoperationsotherpersonal_care_servicespharmaceutical_life_sciencesproduct_managementproject_managementpublic_relationsreal_estateretailsalesscience_technologysoftware_developmentsocial_servicessports_fitness_recreationtranslation_localizationwarehouse
employment_typestring

Employment type of the job (permanent, contract, minijob, etc.)

Allowed values:contractfreelanceinterntemporarypermanentvolunteerapprenticeshipworking_studentminijobother
work_schedulestring

Work schedule type for the position (full-time, part-time, flexible)

Allowed values:full_timepart_timeflexible
senoritystring

Required or expected seniority level

Allowed values:unexperiencedjuniormid_levelseniorleadmanagerdirectorexecutive
start_datestring

Required or expected start date

contract_limitationstring

Contractual limitations or terms associated with the job

location_namestring

Full-text location of where the job is based

streetstring

Street of the job's location

citystring

City of the job's location

countrystring

Country of the job's location

postcodestring

Postal code of the job's location

longitudenumber

Longitude coordinate of the job's location

latitudenumber

Latitude coordinate of the job's location

salarystring

General description of the salary package

salary_fromnumber

Starting salary range

salary_tonumber

Maximum salary range

salary_currencystring

Currency of the stated salary

salary_frequencystring

Payout frequency of the stated salary (annual, monthly, etc.)

contact_namestring

Name of the contact person responsible for the job posting

contact_emailstring

E-Mail Address of the contact person responsible for the job posting

contact_titlestring

Work title of the contact person responsible for the job posting

contact_phonestring

Phone Number of the contact person responsible for the job posting

banner_imagestring

Banner Image URL

screening_questionsarray
description_sectionsarray

Structured sections of the job description

custom_fieldsobject

Custom fields for the job posting as key-value pairs

created_atstring

Timestamp of when the job was first created

updated_atstring

Timestamp of when the job was last updated

last_content_update_atstring

Timestamp of when the job content was last updated